# $Revision: 1.4 $, $Date: 2004/11/12 17:53:51 $
Summary:	GTK+ Guitar Effects Processor
Summary(pl):	Procesor efektw gitarowych oparty na GTK+
Name:		gtkgep
Version:	0.2.3
Release:	2
License:	GPL v2
Group:		X11/Applications/Sound
Source0:	http://www.macio.risp.pl/%{name}/files/%{name}-%{version}.tar.gz
# Source0-md5:	3405e30d600edc9885b27951792358dc
Source1:	%{name}.desktop
Patch0:		%{name}-paths.patch
URL:		http://gtkgep.prv.pl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkGEP turns your computer into a realtime effects processor. You can
plug your guitar into the computer and play with cool distortion
effects, for example. It has a modular plugin structure, with standard
plugins including distortion, overdrive, delay, reverb, equalizers,
and a flanger. It works in 16-bit resolution, in mono mode, and with
frequencies from 11kHz to 44kHz. The sound quality is very good.

%description -l pl
GtkGEP zamienia komputer w procesor efektw dziaajcy w czasie
rzeczywistym. Mona podczy gitar do komputera i gra z efektem np.
przesteru. Program ma modularn struktur wtyczek. Zaczone
standardowe wtyczki zawieraj przester (distortion), overdrive,
opnienie (delay), pogos (reverb), equalizery i flanger. Procesor
dziaa z rozdzielczoci 16-bitow, w trybie monofonicznym oraz z
czstotliwociami prbkowania od 11kHz do 44kHz. Jako dwiku jest
bardzo dobra.

%prep
%setup -q
%patch0 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkgep.spec,v $
Revision 1.4  2004/11/12 17:53:51  paladine
- rel 2 for fixed desktop file

Revision 1.3  2004/10/28 09:58:31  paladine
- "GTK+" unification (hope thats all)

Revision 1.2  2004/04/19 15:19:54  qboosh
- pl, .so perms, BR: ac,am,lt

Revision 1.1  2004/04/18 22:27:22  orzech
- new
